IF OBJECT_ID('stage.fnGetDictionaryItemBase') IS NOT NULL BEGIN
  DROP FUNCTION stage.fnGetDictionaryItemBase 
END
GO

CREATE FUNCTION stage.fnGetDictionaryItemBase (
  @lastLoad datetime
) RETURNS xml AS 
BEGIN
  DECLARE @xml xml
  SET @xml = (
    SELECT 
       s.C_DICTIONARYITEMBASEID AS dictionaryItemBaseId
      ,i.C_AZONOSITO AS intezmenyAzonosito
      ,s.C_NAME AS name
      ,s.C_TYPE AS type
      ,s.C_TANEVNEV AS tanevNev
      ,s.TOROLT AS torolt
    FROM stage.T_DICTIONARYITEMBASE_STAGE s
      LEFT JOIN dbo.T_INTEZMENY i ON i.ID = s.C_INTEZMENYID
    WHERE s.LASTCHANGED > @lastLoad
    FOR XML RAW ('DictionaryItemBase'), ROOT('DictionaryItemBaseItems')
  );  
  RETURN @xml
END;
GO
