IF OBJECT_ID('stage.fnGetEslAdat') IS NOT NULL BEGIN
  DROP FUNCTION stage.fnGetEslAdat 
END
GO

CREATE FUNCTION stage.fnGetEslAdat (
  @lastLoad datetime
) RETURNS xml AS 
BEGIN
  DECLARE @xml xml
  SET @xml = (
    SELECT
       i.C_AZONOSITO AS intezmenyAzonosito
      ,s.C_TANEVNEV AS tanevNev
      ,s.C_ESLADATID AS eslAdatId
      ,s.C_DATUM AS datum
      ,s.C_ERTEK AS ertek
      ,s.C_TIPUS AS tipus
      ,s.C_TIPUSNEV AS tipusNev
      ,s.TOROLT AS torolt
    FROM stage.T_ESLADAT_STAGE s
      INNER JOIN dbo.T_INTEZMENY i ON i.ID = s.C_INTEZMENYID
    WHERE s.LASTCHANGED > @lastLoad
    FOR XML RAW ('EslAdat'), ROOT('EslAdatItems')
  );
  RETURN @xml  
END;
GO

