IF OBJECT_ID('stage.fnGetFeladatellatasiHely') IS NOT NULL BEGIN
  DROP FUNCTION stage.fnGetFeladatellatasiHely 
END
GO

CREATE FUNCTION stage.fnGetFeladatellatasiHely (
  @lastLoad datetime
) RETURNS xml AS 
BEGIN
  DECLARE @xml xml
  SET @xml = (
    SELECT
       i.C_AZONOSITO AS intezmenyAzonosito
      ,s.C_TANEVNEV AS tanevNev
      ,s.C_FELADATELLATASIHELYID AS feladatellatasiHelyId
      ,s.C_FELADATELLATASIHELYNEV AS feladatellatasiHelyNev
      ,s.C_OKTATASINEVELESIFELADATTIPUS AS oktatasiNevelesiFeladatTipus
      ,s.C_MUKODESIHELYID AS mukodesihelyId
      ,s.TOROLT AS torolt
    FROM stage.T_FELADATELLATASIHELY_STAGE s
      INNER JOIN dbo.T_INTEZMENY i ON s.C_INTEZMENYID = i.ID
    WHERE s.LASTCHANGED > @lastLoad
    FOR XML RAW ('FeladatellatasiHely'), ROOT('FeladatellatasiHelyItems')
  );
  RETURN @xml  
END;
GO

