IF OBJECT_ID('stage.fnGetFelhasznaloBelepes') IS NOT NULL BEGIN
  DROP FUNCTION stage.fnGetFelhasznaloBelepes 
END
GO

CREATE FUNCTION stage.fnGetFelhasznaloBelepes (
  @lastLoad datetime
) RETURNS xml AS 
BEGIN
  DECLARE @xml xml
  SET @xml = (
    SELECT
       i.C_AZONOSITO AS intezmenyAzonosito
      ,s.C_TANEVNEV AS tanevNev
      ,s.C_FELHASZNALOBELEPESID AS felhasznaloBelepesId
      ,s.C_UTOLSOBELEPES AS utolsoBelepes
      ,s.C_FELHASZNALOID AS felhasznaloId
      ,s.C_GONDVISELOID AS gondviseloId
      ,s.C_NYOMTATASINEV AS nyomtatasiNev
      ,s.C_ISADMIN AS isAdmin
      ,s.C_ISGONDVISELO AS isGondviselo
      ,s.C_ISALKALMAZOTT AS isAlkalmazott
      ,s.C_ISTANULO AS isTanulo
      ,s.TOROLT AS torolt
    FROM stage.T_FELHASZNALOBELEPES_STAGE s
      INNER JOIN dbo.T_INTEZMENY i ON i.ID = s.C_INTEZMENYID
    WHERE s.LASTCHANGED > @lastLoad
    FOR XML RAW ('FelhasznaloBelepes'), ROOT('FelhasznaloBelepesItems')
  );
  RETURN @xml  
END;
GO

