GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

IF OBJECT_ID('stage.fnGetIntezmenyHasznalat') IS NOT NULL
BEGIN
  DROP FUNCTION stage.fnGetIntezmenyHasznalat
END
GO

CREATE FUNCTION [stage].[fnGetIntezmenyHasznalat] (
  @lastLoad datetime
) RETURNS xml AS 
BEGIN
  DECLARE @xml xml
  SET @xml = (
    SELECT
       i.C_AZONOSITO AS intezmenyAzonosito
      ,s.C_NEV AS intezmenyNev
      ,s.C_KRETATIPUS AS kretaTipus
      ,s.C_TANULOKSZAMA AS tanulokSzama
      ,s.C_PEDAGOGUSOKSZAMA AS pedagogusokSzama
      ,s.C_GONDVISELOKSZAMA AS gondviselokSzama
      ,s.C_OSZTALYOKSZAMA AS osztalyokSzama
	  ,s.C_CSOPORTOKSZAMA AS csoportokSzama
	  ,s.C_TTFELEMEKSZAMA AS ttfElemekSzama
	  ,s.C_ERTEKELESEKSZAMA AS ertekelesekSzama
	  ,s.C_NAPLOZOTTTANORAKSZAMA AS naplozottTanorakSzama
	  ,s.C_FELJEGYZESEKSZAMA AS feljegyzesekSzama
	  ,s.C_UTOLSOADMINBEJELENTKEZESDATU AS utolsoAdminBejelentkezesDatuma
	  ,s.C_UTOLSOTANARIBEJELENTKEZESDAT AS utolsoTanariBejelentkezesDatuma
	  ,s.C_UTOLSOSZULOIBEJELENTKEZESDAT AS utolsoSzuloiBejelentkezesDatuma
	  ,s.C_TANEVNEV AS tanevNev
      ,s.TOROLT AS torolt
    FROM stage.T_INTEZMENYHASZNALAT_STAGE s
      INNER JOIN dbo.T_INTEZMENY i ON i.ID = s.C_INTEZMENYID
    WHERE s.LASTCHANGED > @lastLoad
    FOR XML RAW ('IntezmenyHasznalat'), ROOT('IntezmenyHasznalatItems')
  );
  RETURN @xml  
END;