IF OBJECT_ID('stage.fnGetMukodesihely') IS NOT NULL BEGIN
  DROP FUNCTION stage.fnGetMukodesihely 
END
GO

CREATE FUNCTION stage.fnGetMukodesihely (
  @lastLoad datetime
) RETURNS xml AS 
BEGIN
  DECLARE @xml xml
  SET @xml = (
    SELECT
       i.C_AZONOSITO AS intezmenyAzonosito
      ,s.C_TANEVNEV AS tanevNev
      ,s.C_MUKODESIHELYID AS mukodesihelyId
      ,s.C_NEV AS nev
      ,s.C_CIME AS cim
      ,s.C_EMAILCIM AS emailCim 
      ,s.C_FAX AS fax
      ,s.C_IRANYITOSZAM AS iranyitoszam
      ,s.C_TELEFONSZAM AS telefonszam
      ,s.C_VAROS AS varos
      ,s.C_VEZETONEVE AS vezetoNeve
      ,s.C_TAGINTEZMENY AS tagintezmeny
      ,s.C_TAGINTEZMENYIKOD AS tagintezmenyiKod
      ,s.C_SZEKHELY AS szekhely
      ,s.TOROLT AS torolt
    FROM stage.T_MUKODESIHELY_STAGE s
      INNER JOIN dbo.T_INTEZMENY i ON i.ID = s.C_INTEZMENYID
    WHERE s.LASTCHANGED > @lastLoad
    FOR XML RAW ('Mukodesihely'), ROOT('MukodesihelyItems')
  );
  RETURN @xml  
END;
GO

