IF OBJECT_ID('stage.fnGetOsztalyCsoportLetszam') IS NOT NULL BEGIN
  DROP FUNCTION stage.fnGetOsztalyCsoportLetszam 
END
GO

CREATE FUNCTION stage.fnGetOsztalyCsoportLetszam (
  @lastLoad datetime
) RETURNS xml AS 
BEGIN
  DECLARE @xml xml
  SET @xml = (
    SELECT 
       s.C_EVFOLYAMTIPUSA AS evfolyamTipusa
      ,i.C_AZONOSITO AS intezmenyAzonosito
      ,s.C_OSZTALYBONTASID AS osztalybontasId
      ,s.C_OSZTALYCSOPORTID AS osztalyCsoportId
      ,s.C_OSZTALYCSOPORTLETSZAM AS osztalyCsoportLetszam
      ,s.C_OSZTALYCSOPORTNEV AS osztalyCsoportNev
      ,s.C_TANEVNEV AS tanevNev
      ,s.C_TERVEZETTLETSZAM AS tervezettLetszam
      ,s.C_CSOPORTTIPUS AS csoporTipus
      ,s.C_OSZTALYCSOPORTTIPUS AS osztalyCsoportTipus
      ,s.C_FELADATELLATASIHELYID AS feladatellatasiHelyId
      ,s.TOROLT AS torolt
    FROM stage.T_OSZTALYCSOPORTLETSZAM_STAGE s
      INNER JOIN dbo.T_INTEZMENY i ON i.ID = s.C_INTEZMENYID
    WHERE s.LASTCHANGED > @lastLoad
    FOR XML RAW ('OsztalyCsoportLetszam'), ROOT('OsztalyCsoportLetszamItems')
  );  
  RETURN @xml
END;
GO

