IF OBJECT_ID('stage.fnGetTantargy') IS NOT NULL BEGIN
  DROP FUNCTION stage.fnGetTantargy 
END
GO

CREATE FUNCTION stage.fnGetTantargy (
  @lastLoad datetime
) RETURNS xml AS 
BEGIN
  DECLARE @xml xml
  SET @xml = (
    SELECT
       i.C_AZONOSITO AS intezmenyAzonosito
      ,s.C_TANEVNEV AS tanevNev
      ,s.C_TANTARGYID AS tantargyId
      ,s.C_GYAKORLATI AS gyakorlati 
      ,s.C_NEV AS nev
      ,s.C_ROVIDNEV AS rovidNev
      ,s.C_TARGYKATEGORIA AS targyKategoria
      ,s.C_FOTARGYE AS fotargye
      ,s.C_FOTARGYID AS fotargyId
      ,s.TOROLT AS torolt
    FROM stage.T_TANTARGY_STAGE s
      INNER JOIN dbo.T_INTEZMENY i ON i.ID = s.C_INTEZMENYID
    WHERE s.LASTCHANGED > @lastLoad
    FOR XML RAW ('Tantargy'), ROOT('TantargyItems')
  );
  RETURN @xml  
END;
GO

