IF OBJECT_ID('stage.fnGetTantargyfelosztas') IS NOT NULL BEGIN
  DROP FUNCTION stage.fnGetTantargyfelosztas 
END
GO

CREATE FUNCTION stage.fnGetTantargyfelosztas (
  @lastLoad datetime
) RETURNS xml AS 
BEGIN
  DECLARE @xml xml
  SET @xml = (
      SELECT   
        i.C_AZONOSITO AS intezmenyAzonosito,
        s.C_TANEVNEV AS tanevNev,  
        s.C_FOGLALKOZASID foglalkozasId,
        s.C_TANARID AS tanarId,
        s.C_OSZTALYCSOPORTID AS osztalyCsoportId,
        s.C_OSZTALYCSOPORTTIPUS AS osztalyCsoportTipus,
        s.C_TANTARGYID AS tantargyId,
        s.C_TANTARGYNEV AS tantargyNev,
        s.C_TANTARGYKATEGORIA AS tantargyKategoria,
        s.C_ORASZAM AS oraszam,
        s.TOROLT AS torolt
      FROM stage.T_TANTARGYFELOSZTAS_STAGE s
        INNER JOIN dbo.T_INTEZMENY i ON i.ID = s.C_INTEZMENYID
      WHERE s.LASTCHANGED > @lastLoad
      FOR XML RAW ('Tantargyfelosztas'), ROOT('TantargyfelosztasItems')
  );
  RETURN @xml
END;
GO
