IF OBJECT_ID('stage.fnGetTerem') IS NOT NULL BEGIN
  DROP FUNCTION stage.fnGetTerem 
END
GO

CREATE FUNCTION stage.fnGetTerem (
  @lastLoad datetime
) RETURNS xml AS 
BEGIN
  DECLARE @xml xml
  SET @xml = (
    SELECT
       i.C_AZONOSITO AS intezmenyAzonosito
      ,s.C_TANEVNEV AS tanevNev
      ,s.C_TEREMID AS teremId
      ,s.C_AKTIV AS aktiv
      ,s.C_JELLEG AS jelleg
      ,s.C_KAPACITAS AS kapacitas 
      ,s.C_NEV AS nev
      ,s.C_TERULET AS terulet
      ,s.C_TOBBORATLEHETTARTANI AS tobbOratLehetTartani
      ,s.C_VIZSGAKAPACITAS AS vizsgakapacitas
      ,s.C_MUKODESIHELYID AS mukodesiHelyId
      ,s.C_TEREMFELELOSID AS teremfelelosId
      ,s.TOROLT AS torolt
    FROM stage.T_TEREM_STAGE s
      INNER JOIN dbo.T_INTEZMENY i ON i.ID = s.C_INTEZMENYID
    WHERE s.LASTCHANGED > @lastLoad
    FOR XML RAW ('Terem'), ROOT('TeremItems')
  );
  RETURN @xml  
END;
GO

