﻿-- Visszaadja a T_TANITASIORA.ID-hoz tartozó éves sorszámot
-- TELEK ÁKOS
-- 2017.03.03. 

IF OBJECT_ID('dbo.fnGetEvesOraszamByTanitasiOraId') IS NOT NULL BEGIN
  DROP FUNCTION dbo.fnGetEvesOraszamByTanitasiOraId
END
GO

CREATE FUNCTION dbo.fnGetEvesOraszamByTanitasiOraId (
  @tanitasiOraId int
)
RETURNS int
AS 
BEGIN
  DECLARE
     @tantargyId int
    ,@osztalycsoportId int
    ,@tanarId int
    ,@datum datetime
    ,@intezmenyId int
    ,@tanevId int

  SELECT      
     @tantargyId = tn.C_TANTARGYID
    ,@osztalycsoportId = tn.C_OSZTALYCSOPORTID
    ,@tanarId =  ot.C_TANAROKID
    ,@datum = tn.C_ORAKEZDETE
    ,@intezmenyId = tn.C_INTEZMENYID
    ,@tanevId = tn.C_TANEVID
  FROM T_TANITASIORA tn
  INNER JOIN T_ORAK_TANAROK ot ON tn.ID = ot.C_ORAKID
  WHERE ID = @tanitasiOraId
  
  RETURN dbo.fnGetEvesOraszam(@tantargyId, @osztalycsoportId, @tanarId, @datum, @intezmenyId, @tanevId)
  
END
GO
