﻿-- Az óra éves sorszáma tantárgy, osztálycsoport és tanár alapján a megelőző órák listájával
-- TELEK ÁKOS
-- 2017.03.03. 


IF OBJECT_ID('dbo.fnGetEvesOraszamLista') IS NOT NULL BEGIN
  DROP FUNCTION dbo.fnGetEvesOraszamLista
END
GO

CREATE FUNCTION dbo.fnGetEvesOraszamLista (
   @tantargyId int
  ,@osztalycsoportId int
  ,@tanarId int
  ,@datum datetime
  ,@intezmenyId int
  ,@tanevId int
)
RETURNS @retTable TABLE (
   Id int primary key
  ,EvesSorszam int
)
AS 
BEGIN
  DECLARE 
    @tanarSzamit bit,
    @osztalybontasEgybe bit,
    @osztalybontasCsoport bit
    
  SET @tanarSzamit = dbo.fnGetRendszerbeallitasEnumBool(3075, @intezmenyId, @tanevId)  
  SET @osztalybontasEgybe = dbo.fnGetRendszerbeallitasEnumBool(3078, @intezmenyId, @tanevId)
  SET @osztalybontasCsoport = 0
  
  IF EXISTS (SELECT 1 FROM T_CSOPORT WHERE (ID = @osztalyCsoportId AND C_OSZTALYBONTASID IS NOT NULL) OR C_OSZTALYBONTASID = @osztalyCsoportId) BEGIN
    SET @osztalybontasCsoport = 1
  END  
  
  IF @osztalybontasEgybe = 0 OR @osztalybontasCsoport = 0 BEGIN
    IF @tanarSzamit = 1 BEGIN
      INSERT INTO @retTable (Id, EvesSorszam)
      SELECT 
         t.ID AS Id
        ,ROW_NUMBER() OVER (ORDER BY t.C_ORAKEZDETE) AS EvesSorszam
      FROM T_TANITASIORA_OSSZES t
        INNER JOIN T_ORAK_TANAROK_OSSZES o ON t.ID = o.C_ORAKID
      WHERE t.C_TANEVID = @tanevId 
        AND t.C_INTEZMENYID = @intezmenyId
        AND t.C_MEGTARTOTT = 'T' 
        AND t.C_SORSZAMOZANDO = 'T'
        AND t.C_TANTARGYID = @tantargyId
        AND t.C_OSZTALYCSOPORTID = @osztalyCsoportId
        AND o.C_TANAROKID = @tanarId
        AND t.C_ORAKEZDETE <= @datum  
    END
    ELSE BEGIN
      INSERT INTO @retTable (Id, EvesSorszam)
      SELECT 
         t.ID AS Id
        ,ROW_NUMBER() OVER (ORDER BY t.C_ORAKEZDETE) AS EvesSorszam      
      FROM T_TANITASIORA_OSSZES t
      WHERE t.C_TANEVID = @tanevId 
        AND t.C_INTEZMENYID = @intezmenyId
        AND t.C_MEGTARTOTT = 'T' 
        AND t.C_SORSZAMOZANDO = 'T'
        AND t.C_TANTARGYID = @tantargyId
        AND t.C_OSZTALYCSOPORTID = @osztalyCsoportId
        AND t.C_ORAKEZDETE <= @datum    
    END
  END 
  ELSE BEGIN
    IF @tanarSzamit = 1 BEGIN  
      INSERT INTO @retTable (Id, EvesSorszam)
      SELECT 
         t.ID AS Id
        ,ROW_NUMBER() OVER (ORDER BY t.C_ORAKEZDETE) AS EvesSorszam      
      FROM T_TANITASIORA_OSSZES t
        INNER JOIN T_ORAK_TANAROK_OSSZES o ON t.ID = o.C_ORAKID
      WHERE t.C_TANEVID = @tanevId 
        AND t.C_INTEZMENYID = @intezmenyId
        AND t.C_TANTARGYID = @tantargyId
        AND t.C_OSZTALYCSOPORTID IN (
          SELECT cs.ID
          FROM T_CSOPORT cs
          WHERE cs.C_OSZTALYBONTASID = (SELECT scs.C_OSZTALYBONTASID FROM T_CSOPORT scs WHERE scs.ID = @osztalyCsoportId)
          UNION  
          SELECT cs.C_OSZTALYBONTASID 
          FROM T_CSOPORT cs
          WHERE cs.ID = @osztalyCsoportId
          UNION
          SELECT cs.ID
          FROM T_CSOPORT cs
          WHERE cs.C_OSZTALYBONTASID = @osztalyCsoportId
          UNION
          SELECT @osztalyCsoportId
        )
        AND o.C_TANAROKID = @tanarId
        AND t.C_ORAKEZDETE <= @datum
        AND t.C_SORSZAMOZANDO = 'T'
        AND t.C_MEGTARTOTT = 'T'
    END
    ELSE BEGIN
      INSERT INTO @retTable (Id, EvesSorszam)
      SELECT 
         t.ID AS Id
        ,ROW_NUMBER() OVER (ORDER BY t.C_ORAKEZDETE) AS EvesSorszam      
      FROM T_TANITASIORA_OSSZES t
      WHERE t.C_TANEVID = @tanevId 
        AND t.C_INTEZMENYID = @intezmenyId
        AND t.C_TANTARGYID = @tantargyId
        AND t.C_OSZTALYCSOPORTID IN (
          SELECT cs.ID
          FROM T_CSOPORT cs
          WHERE cs.C_OSZTALYBONTASID = (SELECT scs.C_OSZTALYBONTASID FROM T_CSOPORT scs WHERE scs.ID = @osztalyCsoportId)
          UNION  
          SELECT cs.C_OSZTALYBONTASID 
          FROM T_CSOPORT cs
          WHERE cs.ID = @osztalyCsoportId
          UNION
          SELECT cs.ID
          FROM T_CSOPORT cs
          WHERE cs.C_OSZTALYBONTASID = @osztalyCsoportId
          UNION
          SELECT @osztalyCsoportId
        )
        AND t.C_ORAKEZDETE <= @datum
        AND t.C_SORSZAMOZANDO = 'T'
        AND t.C_MEGTARTOTT = 'T'
    END
  END
  RETURN
END
GO


