﻿-- Visszaadja a T_TANITASIORA.ID-hoz tartozó összes megelőző T_TANITASIORA.ID-t és az éves sorszámukat
-- TELEK ÁKOS
-- 2017.03.03. 

IF OBJECT_ID('dbo.fnGetEvesOraszamListaByTanitasiOraId') IS NOT NULL BEGIN
  DROP FUNCTION dbo.fnGetEvesOraszamListaByTanitasiOraId
END
GO

CREATE FUNCTION dbo.fnGetEvesOraszamListaByTanitasiOraId (
  @tanitasiOraId int
)
RETURNS @retTable TABLE (
   Id int primary key
  ,EvesSorszam int
)
AS
BEGIN
  DECLARE
     @tantargyId int
    ,@osztalycsoportId int
    ,@tanarId int
    ,@datum datetime
    ,@intezmenyId int
    ,@tanevId int

  SELECT      
     @tantargyId = tn.C_TANTARGYID
    ,@osztalycsoportId = tn.C_OSZTALYCSOPORTID
    ,@tanarId =  ot.C_TANAROKID
    ,@datum = tn.C_ORAKEZDETE
    ,@intezmenyId = tn.C_INTEZMENYID
    ,@tanevId = tn.C_TANEVID
  FROM T_TANITASIORA_OSSZES tn
  INNER JOIN T_ORAK_TANAROK ot ON tn.ID = ot.C_ORAKID
  WHERE tn.ID = @tanitasiOraId
  
  
  INSERT INTO @retTable(Id, EvesSorszam)
  SELECT Id, EvesSorszam 
  FROM fnGetEvesOraszamLista(@tantargyId, @osztalycsoportId, @tanarId, @datum, @intezmenyId, @tanevId)
  
  RETURN 
END
GO
